package nodes

// Node keeps info about server
type Node struct {
	OccupationIndex float32 // bigger number bigger load, number over 1 means full server
	Memory          int
	SoldMemory      int     // allocated to containers
	LoadOverDay     float32 // average load 5 in last 24 hours
	DiskSpaceUsed   int     // Usage of overall disk space
}

// GetNodeInfo returns information about this node
func GetNodeInfo() *Node {
	node := Node{
		OccupationIndex: 0,
	}

	return &node
}
